/**
 * WPLogging.h
 *
 * Copyright (c) 2012, Alexander Zaytsev <a.zaytsev@co.wapstart.ru>
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met:
 * 
 *   * Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.
 *   * Redistributions in binary form must reproduce the above copyright notice, 
 *     this list of conditions and the following disclaimer in the documentation
 *     and/or other materials provided with the distribution.
 *   * Neither the name of the "Wapstart" nor the names of its contributors 
 *     may be used to endorse or promote products derived from this software 
 *     without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR 
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; 
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE 
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifdef DEBUG

#define WPLogDebug(format, ...)	NSLog(@"<Debug>: " format @" [%s:%d]", ##__VA_ARGS__, __FILE__, __LINE__)
#define WPLogInfo(format, ...)	NSLog(@"<Info>: " format @" [%s:%d]", ##__VA_ARGS__, __FILE__, __LINE__)
#define WPLogWarn(format, ...)	NSLog(@"<Warning>: " format @" [%s:%d]", ##__VA_ARGS__, __FILE__, __LINE__)
#define WPLogError(format, ...)	NSLog(@"<Error>: " format @" [%s:%d]", ##__VA_ARGS__, __FILE__, __LINE__)

#else

#define WPLogDebug(format, ...)
#define WPLogInfo(format, ...)	NSLog(@"<Info>: " format, ##__VA_ARGS__)
#define WPLogWarn(format, ...)	NSLog(@"<Warning>: " format, ##__VA_ARGS__)
#define WPLogError(format, ...)	NSLog(@"<Error>: " format, ##__VA_ARGS__)

#endif
